%global api 1.2
%define release_version %(echo %{version} | awk -F. '{print $1"."$2}')

Name:           libvtemm
Version:        0.25.0
Release:        8%{?dist}

Summary:        C++ interface for VTE (a GTK2 terminal emulator widget)

Group:          System Environment/Libraries
# library is LGPLv3+, examples are GPLv3+.
License:        LGPLv3+ and GPLv3+
URL:            http://gtkmm.org
Source0:        http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{release_version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  glibmm24-devel >= 2.22.0
BuildRequires:  pangomm-devel >= 2.24.0
BuildRequires:  gtkmm24-devel >= 2.19.2
BuildRequires:  vte-devel >= 0.26.0

%description
libvtemm provides a C++ interface to the VTE library.

%package        devel
Summary:        Headers for developing programs that will use %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       gtkmm24-devel
Requires:       vte-devel
Requires:       pkgconfig

%description devel
This package contains the static libraries and header files needed for
developing libvtemm applications.

%package        docs
Summary:        Documentation for %{name}, includes full API docs
Group:          Documentation
Requires:       gtkmm24-docs

%description    docs
This package contains the full API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}

%build
%configure
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING COPYING.lesser NEWS README
%doc old_news_and_changelogs/ChangeLog* old_news_and_changelogs/NEWS*
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root, -)
# examples
%doc %{_datadir}/%{name}-%{api}
%{_includedir}/%{name}-%{api}
%{_libdir}/*.so
%{_libdir}/%{name}-%{api}
%{_libdir}/pkgconfig/*.pc

%files docs
%defattr(-, root, root, -)
%doc %{_docdir}/%{name}-%{api}
%doc %{_datadir}/devhelp/

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.25.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.25.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.25.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.25.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.25.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.25.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.25.0-2
- Rebuild for new libpng

* Sat Jun 25 2011 Krzesimir Nowak <qdlacz@gmail.com> - 0.25.0-1
- New upstream release.
- Fixes building documentation with glibmm-2.28.
- Documentation location fixes.

* Thu Jun 02 2011 Krzesimir Nowak <qdlacz@gmail.com> - 0.23.1-3
- Co-own /usr/share/gtk-doc directory (#604397)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.23.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 21 2010 Krzesimir Nowak <qdlacz@gmail.com> - 0.23.1-1
- New upstream unstable release.

* Wed Dec 9 2009 Krzesimir Nowak <qdlacz@gmail.com> - 0.22.2-1
- New upstream release.

* Mon Nov 16 2009 Krzesimir Nowak <qdlacz@gmail.com> - 0.22.1-5
- Fix wrong pkgconfig dependency.

* Wed Nov 11 2009 Krzesimir Nowak <qdlacz@gmail.com> - 0.22.1-4
- Enable verbose build.

* Thu Nov 5 2009 Krzesimir Nowak <qdlacz@gmail.com> - 0.22.1-3
- Place documentation in original place, so base in .devhelp2 file is unchanged.
- Place examples in original place.
- Fixed license.

* Wed Nov 4 2009 Krzesimir Nowak <qdlacz@gmail.com> - 0.22.1-2
- Rename from libvtemm12 to libvtemm.
- Remove devel package dependency from docs package.

* Mon Oct 12 2009 Krzesimir Nowak <qdlacz@gmail.com> - 0.22.1-1
- New upstream release.

* Mon Oct 5 2009 Krzesimir Nowak <qdlacz@gmail.com> - 0.22.0-1
- Initial rpm.
